# Uses of Class
org.apache.qpid.proton.codec.CharacterType

Packages that use CharacterType
Package
Description
org.apache.qpid.proton.codec

## Uses of CharacterType in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return CharacterType
Modifier and Type
Method
Description
`CharacterType`
CharacterType.CharacterEncoding.`getType()`
Constructors in org.apache.qpid.proton.codec with parameters of type CharacterType
Modifier
Constructor
Description
``
`ArrayType(EncoderImpl encoder, DecoderImpl decoder, BooleanType boolType, ByteType byteType, ShortType shortType, IntegerType intType, LongType longType, FloatType floatType, DoubleType doubleType, CharacterType characterType)`